#include "delay.h"

#include "uart.h"
#include "stdio.h"
#include "adc_watchdog.h"

volatile uint8_t watchDogTrig=0;
uint16_t adc_data;

int main(void)
{
	uart2_rxtx_init();
	adc_watchDog_Init(100,2500);


	while(1)
	{
		while (!(ADC1->SR & ADC_SR_EOC))
			;
		adc_data = ADC1->DR;
		printf("ADC value is %d\r\n", adc_data);
		if (watchDogTrig == 1) {
			watchDogTrig = 0;
			printf("WatchDog Triggered\r\n");
			if (adc_data <= 100)
				printf("Pump is ON\r\n");
			if (adc_data >= 2500)
				printf("Pump is OFF\r\n");
		}

		delay(300);

	}



}

void ADC_IRQHandler(void)
{
	if(ADC1->SR & ADC_SR_AWD)
	{
		watchDogTrig=1;
		ADC1->SR &=~ADC_SR_AWD;

	}
}
